﻿IF EXISTS (SELECT * FROM INFORMATION_SCHEMA.ROUTINES WHERE ROUTINE_NAME = 'SetKentuckyUserRoles')
	DROP PROCEDURE SetKentuckyUserRoles
GO

CREATE PROCEDURE SetKentuckyUserRoles
@UserId bigint,
@RoleGroup nvarchar(50),
@ExternalId nvarchar(255) = NULL
AS
DECLARE @UserRoles TABLE (Id bigint identity(1,1), RoleGroup nvarchar(50), RoleKey nvarchar(200));

INSERT INTO @UserRoles
(RoleGroup, RoleKey)
VALUES
('Security Team','AssistJobSeekersReadOnly'),
('Security Team','AssistJobSeekersAdministrator'),
('Security Team','AJSOfficeAdmin'),
('Security Team','AssistJobSeekersAccountInactivator'),
('Security Team','AssistJobSeekersAccountBlocker'),
('Security Team','AssistJobSeekersSendMessages'),
('Security Team','AssistJobSeekersCreateNewAccount'),
('Security Team','AssistAccountAdministrator'),
('Security Team','AssistBroadcastsAdministrator'),
('Security Team','AssistStaffView'),
('Security Team','AssistStaffViewEdit'),
('Security Team','AssistStaffResetPassword'),
('Security Team','AssistStaffDeactivateActivate'),
('Security Team','AssistStaffDelete'),
('Security Team','AssistEmployersReadOnly'),
('Security Team','AssistEmployersAdministrator'),
('Security Team','AEOfficeAdmin'),
('Security Team','AJOOfficeAdmin'),
('Security Team','AssistEmployersAccountBlocker'),
('Security Team','AEJobDevelopmentManager'),
('Security Team','AEOverrideCriminalExclusions'),
('Security Team','AssistEmployersSendMessages'),
('Security Team','AssistEmployersCreateNewAccount'),
('Security Team','AssistJobSeekerReportsViewOnly'),
('Security Team','AssistJobSeekerReports'),
('Security Team','AssistJobOrderReportsViewOnly'),
('Security Team','AssistJobOrderReports'),
('Security Team','AssistEmployerReportsViewOnly'),
('Security Team','AssistEmployerReports'),
('Security Team','AssistJobSeekerReferralApprovalViewer'),
('Security Team','AssistJobSeekerReferralApprover'),
('Security Team','AssistEmployerAccountApprovalViewer'),
('Security Team','AssistEmployerAccountApprover'),
('Security Team','AssistPostingApprovalViewer'),
('Security Team','AssistPostingApprover'),
('Security Team','ACommissionOnlyApprover'),
('Security Team','ASalaryAndCommissionApprover'),
('Security Team','ACourtOrderedAffirmativeActionApprover'),
('Security Team','AFederalContractorApprover'),
('Security Team','AForeignLabourH2AAgApprover'),
('Security Team','AForeignLabourH2BNonAgApprover'),
('Security Team','AForeignLabourOtherApprover'),
('Security Team','AHomeBasedApprover'),
('Security Team','AssistOfficesActivateDeactivate'),
('Security Team','AssistOfficesCreate'),
('Security Team','AssistOfficesListStaff'),
('Security Team','AssistOfficesSetDefault'),
('Security Team','AssistOfficesViewEdit'),

('KCC Support','AssistJobSeekersReadOnly'),
('KCC Support','AssistJobSeekersAdministrator'),
('KCC Support','AJSOfficeAdmin'),
('KCC Support','AssistJobSeekersAccountInactivator'),
('KCC Support','AssistJobSeekersAccountBlocker'),
('KCC Support','AssistJobSeekersSendMessages'),
('KCC Support','AssistJobSeekersCreateNewAccount'),
('KCC Support','AssistBroadcastsAdministrator'),
('KCC Support','AssistSystemAdministrator'),
('KCC Support','AssistStaffView'),
('KCC Support','AssistStaffViewEdit'),
('KCC Support','AssistStaffResetPassword'),
('KCC Support','AssistStaffDeactivateActivate'),
('KCC Support','AssistStaffDelete'),
('KCC Support','AssistEmployersReadOnly'),
('KCC Support','AssistEmployersAdministrator'),
('KCC Support','AEOfficeAdmin'),
('KCC Support','AJOOfficeAdmin'),
('KCC Support','AssistEmployersAccountBlocker'),
('KCC Support','AEJobDevelopmentManager'),
('KCC Support','AEOverrideCriminalExclusions'),
('KCC Support','AssistEmployersSendMessages'),
('KCC Support','AssistEmployersCreateNewAccount'),
('KCC Support','AssistJobSeekerReportsViewOnly'),
('KCC Support','AssistJobSeekerReports'),
('KCC Support','AssistJobOrderReportsViewOnly'),
('KCC Support','AssistJobOrderReports'),
('KCC Support','AssistEmployerReportsViewOnly'),
('KCC Support','AssistEmployerReports'),
('KCC Support','AssistJobSeekerReferralApprovalViewer'),
('KCC Support','AssistJobSeekerReferralApprover'),
('KCC Support','AssistEmployerAccountApprovalViewer'),
('KCC Support','AssistEmployerAccountApprover'),
('KCC Support','AssistPostingApprovalViewer'),
('KCC Support','AssistPostingApprover'),
('KCC Support','ACommissionOnlyApprover'),
('KCC Support','ASalaryAndCommissionApprover'),
('KCC Support','ACourtOrderedAffirmativeActionApprover'),
('KCC Support','AFederalContractorApprover'),
('KCC Support','AForeignLabourH2AAgApprover'),
('KCC Support','AForeignLabourH2BNonAgApprover'),
('KCC Support','AForeignLabourOtherApprover'),
('KCC Support','AHomeBasedApprover'),
('KCC Support','AssistOfficesActivateDeactivate'),
('KCC Support','AssistOfficesCreate'),
('KCC Support','AssistOfficesListStaff'),
('KCC Support','AssistOfficesSetDefault'),
('KCC Support','AssistOfficesViewEdit'),

('Manager','AssistJobSeekersReadOnly'),
('Manager','AssistJobSeekersAdministrator'),
('Manager','AssistJobSeekersAccountInactivator'),
('Manager','AssistJobSeekersSendMessages'),
('Manager','AssistJobSeekersCreateNewAccount'),
('Manager','AssistStaffView'),
('Manager','AssistStaffResetPassword'),
('Manager','AssistEmployersReadOnly'),
('Manager','AssistEmployersAdministrator'),
('Manager','AEJobDevelopmentManager'),
('Manager','AEOverrideCriminalExclusions'),
('Manager','AssistEmployersSendMessages'),
('Manager','AssistEmployersCreateNewAccount'),
('Manager','AssistJobSeekerReportsViewOnly'),
('Manager','AssistJobSeekerReports'),
('Manager','AssistJobOrderReportsViewOnly'),
('Manager','AssistJobOrderReports'),
('Manager','AssistEmployerReportsViewOnly'),
('Manager','AssistEmployerReports'),
('Manager','AssistJobSeekerReferralApprovalViewer'),
('Manager','AssistJobSeekerReferralApprover'),
('Manager','AssistEmployerAccountApprovalViewer'),
('Manager','AssistEmployerAccountApprover'),
('Manager','AssistPostingApprovalViewer'),
('Manager','AssistPostingApprover'),
('Manager','ACommissionOnlyApprover'),
('Manager','ASalaryAndCommissionApprover'),
('Manager','ACourtOrderedAffirmativeActionApprover'),
('Manager','AFederalContractorApprover'),
('Manager','AForeignLabourH2AAgApprover'),
('Manager','AForeignLabourH2BNonAgApprover'),
('Manager','AForeignLabourOtherApprover'),
('Manager','AHomeBasedApprover'),

('Staff - Job Seeker','AssistJobSeekersReadOnly'),
('Staff - Job Seeker','AssistJobSeekersAdministrator'),
('Staff - Job Seeker','AssistJobSeekersAccountInactivator'),
('Staff - Job Seeker','AssistJobSeekersSendMessages'),
('Staff - Job Seeker','AssistJobSeekersCreateNewAccount'),
('Staff - Job Seeker','AssistStaffView'),
('Staff - Job Seeker','AssistStaffResetPassword'),
('Staff - Job Seeker','AssistJobSeekerReportsViewOnly'),
('Staff - Job Seeker','AssistJobSeekerReports'),
('Staff - Job Seeker','AssistJobSeekerReferralApprovalViewer'),
('Staff - Job Seeker','AssistJobSeekerReferralApprover'),

('Staff - Employer','AssistJobSeekersReadOnly'),
('Staff - Employer','AssistJobSeekersAdministrator'),
('Staff - Employer','AssistJobSeekersAccountInactivator'),
('Staff - Employer','AssistJobSeekersSendMessages'),
('Staff - Employer','AssistJobSeekersCreateNewAccount'),
('Staff - Employer','AssistStaffView'),
('Staff - Employer','AssistStaffResetPassword'),
('Staff - Employer','AssistEmployersReadOnly'),
('Staff - Employer','AssistEmployersAdministrator'),
('Staff - Employer','AEJobDevelopmentManager'),
('Staff - Employer','AEOverrideCriminalExclusions'),
('Staff - Employer','AssistEmployersSendMessages'),
('Staff - Employer','AssistEmployersCreateNewAccount'),
('Staff - Employer','AssistJobSeekerReportsViewOnly'),
('Staff - Employer','AssistJobSeekerReports'),
('Staff - Employer','AssistJobOrderReportsViewOnly'),
('Staff - Employer','AssistJobOrderReports'),
('Staff - Employer','AssistEmployerReportsViewOnly'),
('Staff - Employer','AssistEmployerReports'),
('Staff - Employer','AssistJobSeekerReferralApprovalViewer'),
('Staff - Employer','AssistJobSeekerReferralApprover'),
('Staff - Employer','AssistEmployerAccountApprovalViewer'),
('Staff - Employer','AssistEmployerAccountApprover'),
('Staff - Employer','AssistPostingApprovalViewer'),
('Staff - Employer','AssistPostingApprover'),
('Staff - Employer','ACommissionOnlyApprover'),
('Staff - Employer','ASalaryAndCommissionApprover'),
('Staff - Employer','ACourtOrderedAffirmativeActionApprover'),
('Staff - Employer','AHomeBasedApprover'),

('View Only','AssistJobSeekersReadOnly'),
('View Only','AssistEmployersReadOnly'),
('View Only','AssistJobSeekerReportsViewOnly'),
('View Only','AssistJobOrderReportsViewOnly'),
('View Only','AssistEmployerReportsViewOnly'),
('View Only','AssistJobSeekerReferralApprovalViewer'),
('View Only','AssistEmployerAccountApprovalViewer'),
('View Only','AssistPostingApprovalViewer');

IF @UserId IS NULL OR @UserId = 0
BEGIN
	IF @ExternalId IS NOT NULL AND LEN(@ExternalId) > 0
	BEGIN
		SELECT @UserId = Id FROM dbo.[Data.Application.User] WHERE ExternalId = @ExternalId;
	END
END

IF @UserId IS NULL OR @UserId = 0
BEGIN
	DECLARE @ErrorMessage varchar(200) = 'User account not found for UserId: ' + ISNULL(CONVERT(varchar,@UserId),'NULL') + ', EKOS Id: ' + ISNULL(@ExternalId,'NULL');
	RAISERROR (@ErrorMessage, 1, 1);
END
ELSE
BEGIN

	DECLARE @NextID BIGINT;

	DELETE FROM dbo.[Data.Application.UserRole]
	WHERE UserId = @UserId
	AND RoleId NOT IN
	(
		SELECT Id FROM dbo.[Data.Application.Role] WHERE [Key] IN ('TalentUser','AssistUser','CareerUser','ExplorerUser')
	);

	SELECT @NextID = NextId FROM KeyTable;

	INSERT INTO dbo.[Data.Application.UserRole]
	(Id, UserId, RoleId)
	SELECT	@NextId - 1 + ROW_NUMBER() OVER(ORDER BY ur.Id ASC),
				@UserId,
				r.Id
	FROM	@UserRoles ur
	INNER JOIN dbo.[Data.Application.Role] r ON ur.RoleKey = r.[Key]
	WHERE ur.RoleGroup = @RoleGroup;

	UPDATE KeyTable SET NextId = @NextID + @@ROWCOUNT;

	UPDATE p
	SET Manager = CASE @RoleGroup WHEN 'KCC Support' THEN 1 WHEN 'Manager' THEN 1 ELSE 0 END
	FROM dbo.[Data.Application.Person] p
	INNER JOIN dbo.[Data.Application.User] u ON p.Id = u.PersonId
	WHERE u.Id = @UserId;
	
END

GO

--------------------------------------------
-- START OF TESTING SECTION
--------------------------------------------

DECLARE @TestUserId int = NULL		-- set the user Id to test with

IF ISNULL(@TestUserId,0) = 0
BEGIN
	-- If @TestUserId set to NULL, then we are not testing at all
	IF @TestUserId = 0
		-- If @TestUserId set to 0 then we are testing the error condition on the procedure call
		EXEC SetKentuckyUserRoles @UserId = @TestUserId, @RoleGroup = 'Security Team';
END
ELSE
BEGIN

	-- Setup freindly text for role names
	DECLARE @FriendlyRoleNames TABLE (RoleKey nvarchar(200), FriendlyName nvarchar(300));

	INSERT INTO @FriendlyRoleNames
	(RoleKey, FriendlyName)
	VALUES
	('AssistJobSeekersReadOnly','Manage seeker accounts - View'),
	('AssistJobSeekersAdministrator','Manage seeker accounts - View & edit'),
	('AJSOfficeAdmin','Manage seeker accounts - Administer office assignment'),
	('AssistJobSeekersAccountInactivator','Manage seeker accounts - Inactivate accounts'),
	('AssistJobSeekersAccountBlocker','Manage seeker accounts - Block & Unblock accounts'),
	('AssistJobSeekersSendMessages','Manage seeker accounts - Send messages'),
	('AssistJobSeekersCreateNewAccount','Manage seeker accounts - Create'),
	('AssistAccountAdministrator','Manage Focus/Assist - Account admin'),
	('AssistBroadcastsAdministrator','Manage Focus/Assist - Broadcasts'),
	('AssistSystemAdministrator','Manage Focus/Assist - System admin'),
	('AssistStaffView','Manage Staff - View'),
	('AssistStaffViewEdit','Manage Staff - View & edit'),
	('AssistStaffResetPassword','Manage Staff - Reset password'),
	('AssistStaffDeactivateActivate','Manage Staff - Activate/deactivate accounts'),
	('AssistStaffDelete','Manage Staff - Delete accounts'),
	('AssistEmployersReadOnly','Manage employer accounts & job postings - View'),
	('AssistEmployersAdministrator','Manage employer accounts & job postings - View & edit'),
	('AEOfficeAdmin','Manage employer accounts & job postings - Administer office assignment - accounts'),
	('AJOOfficeAdmin','Manage employer accounts & job postings - Administer office assignment - job postings'),
	('AssistEmployersAccountBlocker','Manage employer accounts & job postings - Block & unblock accounts'),
	('AEJobDevelopmentManager','Manage employer accounts & job postings - Handle business development'),
	('AEOverrideCriminalExclusions','Manage employer accounts & job postings - Override criminal background exclusions'),
	('AssistEmployersSendMessages','Manage employer accounts & job postings - Send messages'),
	('AssistEmployersCreateNewAccount','Manage employer accounts & job postings - Create'),
	('AssistJobSeekerReportsViewOnly','Manage Reports: Job seeker reports - View'),
	('AssistJobSeekerReports','Manage Reports: Job seeker reports - View & Export'),
	('AssistJobOrderReportsViewOnly','Manage Reports: Job order reports - View'),
	('AssistJobOrderReports','Manage Reports: Job order reports - View & Export'),
	('AssistEmployerReportsViewOnly','Manage Reports: Employer/hiring manager reports - View'),
	('AssistEmployerReports','Manage Reports: Employer/hiring manager reports - View & Export'),
	('AssistJobSeekerReferralApprovalViewer','Manage approval queues: Referral requests - View'),
	('AssistJobSeekerReferralApprover','Manage approval queues: Referral requests - View & edit'),
	('AssistEmployerAccountApprovalViewer','Manage approval queues: Employer accounts - View'),
	('AssistEmployerAccountApprover','Manage approval queues: Employer accounts - View & edit'),
	('AssistPostingApprovalViewer','Manage approval queues: Job postings - View'),
	('AssistPostingApprover','Manage approval queues: Job postings - View & edit'),
	('ACommissionOnlyApprover','Manage approval queues: Handle these special job conditions: - Commission-based only'),
	('ASalaryAndCommissionApprover','Manage approval queues: Handle these special job conditions: - Commission + salary-based'),
	('ACourtOrderedAffirmativeActionApprover','Manage approval queues: Handle these special job conditions: - Court-ordered affirmative action'),
	('AFederalContractorApprover','Manage approval queues: Handle these special job conditions: - Federal contractor'),
	('AForeignLabourH2AAgApprover','Manage approval queues: Handle these special job conditions: - Foreign labor (H2A - ag)'),
	('AForeignLabourH2BNonAgApprover','Manage approval queues: Handle these special job conditions: - Foreign labor (H2B - non-ag)'),
	('AForeignLabourOtherApprover','Manage approval queues: Handle these special job conditions: - Foreign labor (other)'),
	('AHomeBasedApprover','Manage approval queues: Handle these special job conditions: - Home-based'),
	('AssistOfficesActivateDeactivate','Manage offices - Activate/Deactivate offices'),
	('AssistOfficesCreate','Manage offices - Create offices'),
	('AssistOfficesListStaff','Manage offices - List staff'),
	('AssistOfficesSetDefault','Manage offices - Set default office'),
	('AssistOfficesViewEdit','Manage offices - View/edit offices');

	BEGIN TRANSACTION

	-- Test each Role Group
	EXEC SetKentuckyUserRoles @UserId = @TestUserId, @RoleGroup = 'Security Team';
	SELECT ur.UserId, r.[Key], fr.FriendlyName FROM dbo.[Data.Application.UserRole] ur INNER JOIN dbo.[Data.Application.Role] r ON ur.RoleId = r.Id INNER JOIN @FriendlyRoleNames fr ON r.[Key] = fr.RoleKey WHERE UserId = @TestUserId;
	SELECT Manager FROM dbo.[Data.Application.Person] p INNER JOIN dbo.[Data.Application.User] u ON p.Id = u.PersonId WHERE u.Id = @TestUserId;


	EXEC SetKentuckyUserRoles @UserId = @TestUserId, @RoleGroup = 'KCC Support';
	SELECT ur.UserId, r.[Key], fr.FriendlyName FROM dbo.[Data.Application.UserRole] ur INNER JOIN dbo.[Data.Application.Role] r ON ur.RoleId = r.Id INNER JOIN @FriendlyRoleNames fr ON r.[Key] = fr.RoleKey WHERE UserId = @TestUserId;
	SELECT Manager FROM dbo.[Data.Application.Person] p INNER JOIN dbo.[Data.Application.User] u ON p.Id = u.PersonId WHERE u.Id = @TestUserId;


	EXEC SetKentuckyUserRoles @UserId = @TestUserId, @RoleGroup = 'Manager';
	SELECT ur.UserId, r.[Key], fr.FriendlyName FROM dbo.[Data.Application.UserRole] ur INNER JOIN dbo.[Data.Application.Role] r ON ur.RoleId = r.Id INNER JOIN @FriendlyRoleNames fr ON r.[Key] = fr.RoleKey WHERE UserId = @TestUserId;
	SELECT Manager FROM dbo.[Data.Application.Person] p INNER JOIN dbo.[Data.Application.User] u ON p.Id = u.PersonId WHERE u.Id = @TestUserId;


	EXEC SetKentuckyUserRoles @UserId = @TestUserId, @RoleGroup = 'Staff - Job Seeker';
	SELECT ur.UserId, r.[Key], fr.FriendlyName FROM dbo.[Data.Application.UserRole] ur INNER JOIN dbo.[Data.Application.Role] r ON ur.RoleId = r.Id INNER JOIN @FriendlyRoleNames fr ON r.[Key] = fr.RoleKey WHERE UserId = @TestUserId;
	SELECT Manager FROM dbo.[Data.Application.Person] p INNER JOIN dbo.[Data.Application.User] u ON p.Id = u.PersonId WHERE u.Id = @TestUserId;


	EXEC SetKentuckyUserRoles @UserId = @TestUserId, @RoleGroup = 'Staff - Employer';
	SELECT ur.UserId, r.[Key], fr.FriendlyName FROM dbo.[Data.Application.UserRole] ur INNER JOIN dbo.[Data.Application.Role] r ON ur.RoleId = r.Id INNER JOIN @FriendlyRoleNames fr ON r.[Key] = fr.RoleKey WHERE UserId = @TestUserId;
	SELECT Manager FROM dbo.[Data.Application.Person] p INNER JOIN dbo.[Data.Application.User] u ON p.Id = u.PersonId WHERE u.Id = @TestUserId;


	EXEC SetKentuckyUserRoles @UserId = @TestUserId, @RoleGroup = 'View Only';
	SELECT ur.UserId, r.[Key], fr.FriendlyName FROM dbo.[Data.Application.UserRole] ur INNER JOIN dbo.[Data.Application.Role] r ON ur.RoleId = r.Id INNER JOIN @FriendlyRoleNames fr ON r.[Key] = fr.RoleKey WHERE UserId = @TestUserId;
	SELECT Manager FROM dbo.[Data.Application.Person] p INNER JOIN dbo.[Data.Application.User] u ON p.Id = u.PersonId WHERE u.Id = @TestUserId;


	ROLLBACK TRANSACTION

END

--------------------------------------------
-- END OF TESTING SECTION
--------------------------------------------

-- This determines the order in which the roles are applied
DECLARE @RoleGroupStaffJobSeeker int = 1;
DECLARE @RoleGroupStaffEmployer int = 2;
DECLARE @RoleGroupManager int = 3;


DECLARE @UsersToProcess TABLE
												(
													Id int IDENTITY(1,1) NOT NULL,
													ExternalId nvarchar(255) NOT NULL,
													FirstName nvarchar(200) NOT NULL,
													LastName nvarchar(200) NOT NULL,
													RoleGroupId int NOT NULL,
													RoleApplied varchar(50) NULL,
													Processed bit DEFAULT ((0)) NOT NULL,
													Success bit NULL,
													ErrorMessage varchar(300) NULL
												);

INSERT INTO @UsersToProcess
(ExternalId, FirstName, LastName, RoleGroupId)
VALUES
('KY100035790','Thomas','Wheatley',@RoleGroupManager),
('KY100039801','Gary','Wise',@RoleGroupManager),
('KY100041967','Vickie','Wade',@RoleGroupManager),
('KY100042002','Jane','Myers',@RoleGroupManager),
('KY100042030','Mark','Turner',@RoleGroupManager),
('KY100042067','Melissa','Miller',@RoleGroupManager),
('KY100042075','Stanley','Hill',@RoleGroupManager),
('KY100042201','Gina','Triplett',@RoleGroupManager),
('KY100042260','Tonia','Anderson',@RoleGroupManager),
('KY100042383','Trina','Allen',@RoleGroupManager),
('KY100044698','Jonathon','Pendergrass',@RoleGroupManager),
('KY100047964','Lakeesha','Tisdale',@RoleGroupManager),
('KY100047969','Renea','Houston',@RoleGroupManager),
('KY100050168','Denise','Wietelmann',@RoleGroupManager),
('KY100060594','Jason','Slone',@RoleGroupManager),
('KY100072873','Jeanne','Scott',@RoleGroupManager),
('KY100077221','Connie','Schnell',@RoleGroupManager),
('KY100085387','Jana','Reed',@RoleGroupManager),
('KY100085401','AJ','Jones',@RoleGroupManager),
('KY100085402','Roger','Phillips',@RoleGroupManager),
('KY100087457','Karen','Dueker',@RoleGroupManager),
('KY100087638','Melissa','Quillen',@RoleGroupManager),
('KY100090701','Matthew','Bartlett',@RoleGroupManager),
('KY100091018','Gina','Oney',@RoleGroupManager),
('KY100093082','Keni','Brown',@RoleGroupManager),
('KY100099260','James','Richerson',@RoleGroupManager),
('KY100104606','Matthew01','Bartlett',@RoleGroupManager),

('KY100101398','Adam','Wilson',@RoleGroupStaffJobSeeker),
('KY100104590','Adam','Klaas',@RoleGroupStaffJobSeeker),
('KY100072845','Adela','Mrkulic',@RoleGroupStaffJobSeeker),
('KY100081355','Aimee','Neal',@RoleGroupStaffJobSeeker),
('KY100101345','Alicia','Hill',@RoleGroupStaffJobSeeker),
('KY100081387','Alisha','Smith',@RoleGroupStaffJobSeeker),
('KY100072978','Allison','Brown',@RoleGroupStaffJobSeeker),
('KY100104456','AmandaK','Hall',@RoleGroupStaffJobSeeker),
('KY100085338','AmandaM','Hall',@RoleGroupStaffJobSeeker),
('KY100081343','Amber','Teverbaugh',@RoleGroupStaffJobSeeker),
('KY100104494','Amber','Gootee',@RoleGroupStaffJobSeeker),
('KY100079252','Amelia','Lozano Toledo',@RoleGroupStaffJobSeeker),
('KY100060615','Amy','Leach',@RoleGroupStaffJobSeeker),
('KY100104540','Ana','Inclan',@RoleGroupStaffJobSeeker),
('KY100075078','Andrea','Poat',@RoleGroupStaffJobSeeker),
('KY100090992','Andrea','Cunningham',@RoleGroupStaffJobSeeker),
('KY100079266','Andrew','Tutko',@RoleGroupStaffJobSeeker),
('KY100072924','Angela','Higgins',@RoleGroupStaffJobSeeker),
('KY100085424','Angela','Wells',@RoleGroupStaffJobSeeker),
('KY100104470','Angie02','Williams',@RoleGroupStaffJobSeeker),
('KY100054317','Anita','Whelan',@RoleGroupStaffJobSeeker),
('KY100070718','Anita','Lykens',@RoleGroupStaffJobSeeker),
('KY100099307','Ann','Coffman',@RoleGroupStaffJobSeeker),
('KY100104578','Anna','Kenion',@RoleGroupStaffJobSeeker),
('KY100056423','April','Hall',@RoleGroupStaffJobSeeker),
('KY100104502','April','Leisge',@RoleGroupStaffJobSeeker),
('KY100104537','April','Gallelli',@RoleGroupStaffJobSeeker),
('KY100104593','Ashley','Gibson',@RoleGroupStaffJobSeeker),
('KY100081344','Austin','Bowling',@RoleGroupStaffJobSeeker),
('KY100093176','Babette','Overman',@RoleGroupStaffJobSeeker),
('KY100041892','Barbara','Polston',@RoleGroupStaffJobSeeker),
('KY100044452','Barbara','Abendroth',@RoleGroupStaffJobSeeker),
('KY100044494','Barbara','Stewart',@RoleGroupStaffJobSeeker),
('KY100093098','Barbara','Ferrell',@RoleGroupStaffJobSeeker),
('KY100090977','Barbara','Sutton',@RoleGroupStaffJobSeeker),
('KY100073036','Barbara','Campbell',@RoleGroupStaffJobSeeker),
('KY100042103','Barry','Moseley',@RoleGroupStaffJobSeeker),
('KY100072942','Becky','Miller',@RoleGroupStaffJobSeeker),
('KY100101374','Bennie','Falls',@RoleGroupStaffJobSeeker),
('KY100077216','Beth','Maciag',@RoleGroupStaffJobSeeker),
('KY100093154','Bethany','Burnette',@RoleGroupStaffJobSeeker),
('KY100041900','Betty','Collett',@RoleGroupStaffJobSeeker),
('KY100072788','Betty','Sapp',@RoleGroupStaffJobSeeker),
('KY100087452','Betty','Wilson',@RoleGroupStaffJobSeeker),
('KY100087453','Betty','Wilson',@RoleGroupStaffJobSeeker),
('KY100044566','Beverly','Grimes',@RoleGroupStaffJobSeeker),
('KY100089660','Bill','Pianovski',@RoleGroupStaffJobSeeker),
('KY100066704','Bobbie','Slone',@RoleGroupStaffJobSeeker),
('KY100070717','Bonnie','Conn',@RoleGroupStaffJobSeeker),
('KY100081425','Brandon','Brown',@RoleGroupStaffJobSeeker),
('KY100066680','Brenda','Shumate',@RoleGroupStaffJobSeeker),
('KY100073040','Brenda','Crabtree',@RoleGroupStaffJobSeeker),
('KY100073030','Brenda','Ford',@RoleGroupStaffJobSeeker),
('KY100085373','Brian','Huffman',@RoleGroupStaffJobSeeker),
('KY100102431','Brian','Gustafson',@RoleGroupStaffJobSeeker),
('KY100104469','Brian','Jones',@RoleGroupStaffJobSeeker),
('KY100101368','Bridget','James',@RoleGroupStaffJobSeeker),
('KY100085436','Bridget','Back',@RoleGroupStaffJobSeeker),
('KY100093187','Brittany','Keeton',@RoleGroupStaffJobSeeker),
('KY100087565','Brittany','Grimes',@RoleGroupStaffJobSeeker),
('KY100104468','Brittany','Bowling',@RoleGroupStaffJobSeeker),
('KY100087549','Brittney','Williams',@RoleGroupStaffJobSeeker),
('KY100087550','Brittney','Williams',@RoleGroupStaffJobSeeker),
('KY100090960','Bruce','Quire',@RoleGroupStaffJobSeeker),
('KY100101341','Bruce01','Quire',@RoleGroupStaffJobSeeker),
('KY100056354','Bryan','Fields',@RoleGroupStaffJobSeeker),
('KY100090702','Burma','Wheeler',@RoleGroupStaffJobSeeker),
('KY100042196','Camile','Duncan',@RoleGroupStaffJobSeeker),
('KY100085354','Camille','Collins',@RoleGroupStaffJobSeeker),
('KY100042004','Canis','Wirth',@RoleGroupStaffJobSeeker),
('KY100050126','Caroline','Nugent',@RoleGroupStaffJobSeeker),
('KY100101404','Carter','Dyson',@RoleGroupStaffJobSeeker),
('KY100101399','Casey','Ross',@RoleGroupStaffJobSeeker),
('KY100104629','Cassandra','Cox',@RoleGroupStaffJobSeeker),
('KY100101392','Cassie','Bertram',@RoleGroupStaffJobSeeker),
('KY100101372','Cathy','Holshouser',@RoleGroupStaffJobSeeker),
('KY100102432','Cathy','Hinkle',@RoleGroupStaffJobSeeker),
('KY100093180','Catrena','Bowman',@RoleGroupStaffJobSeeker),
('KY100072977','Celia','Joyce',@RoleGroupStaffJobSeeker),
('KY100085391','Celina','Benites',@RoleGroupStaffJobSeeker),
('KY100101413','Chanda','Whitten',@RoleGroupStaffJobSeeker),
('KY100091056','Charles','Howson',@RoleGroupStaffJobSeeker),
('KY100091011','Charles','Mattingly',@RoleGroupStaffJobSeeker),
('KY100087556','Charles','Turner',@RoleGroupStaffJobSeeker),
('KY100081361','Charles','Smith',@RoleGroupStaffJobSeeker),
('KY100104528','Charles','Eaves',@RoleGroupStaffJobSeeker),
('KY100104529','Charles01','Eaves',@RoleGroupStaffJobSeeker),
('KY100044575','Charlotte','Smith',@RoleGroupStaffJobSeeker),
('KY100085406','Chastity','Justice',@RoleGroupStaffJobSeeker),
('KY100104613','Chelsea','Back',@RoleGroupStaffJobSeeker),
('KY100044657','Cheryl','Martinez',@RoleGroupStaffJobSeeker),
('KY100104598','Cheryl','Rhodes',@RoleGroupStaffJobSeeker),
('KY100075113','Chimere','Jenkins',@RoleGroupStaffJobSeeker),
('KY100075132','Chris','Thompson',@RoleGroupStaffJobSeeker),
('KY100098200','Chrissy','Sexton',@RoleGroupStaffJobSeeker),
('KY100060595','Christopher','Ward',@RoleGroupStaffJobSeeker),
('KY100075064','Christopher','Robinson',@RoleGroupStaffJobSeeker),
('KY100090710','Christy','Smith',@RoleGroupStaffJobSeeker),
('KY100093114','Cindy','Hurt',@RoleGroupStaffJobSeeker),
('KY100081339','Cindy','Massie',@RoleGroupStaffJobSeeker),
('KY100089663','Claire','Osbourne',@RoleGroupStaffJobSeeker),
('KY100104517','Clarence','Franklin',@RoleGroupStaffJobSeeker),
('KY100098223','Connie','Brackett',@RoleGroupStaffJobSeeker),
('KY100098228','Connie','Kington',@RoleGroupStaffJobSeeker),
('KY100101403','Connie','Offill',@RoleGroupStaffJobSeeker),
('KY100079238','Corey','Newdigate',@RoleGroupStaffJobSeeker),
('KY100104636','Corey','Hatfield',@RoleGroupStaffJobSeeker),
('KY100099240','Cortrell','Frazier',@RoleGroupStaffJobSeeker),
('KY100101375','Crystal','Drury',@RoleGroupStaffJobSeeker),
('KY100087631','Crystal','Saunders',@RoleGroupStaffJobSeeker),
('KY100085355','Crystal','Walker',@RoleGroupStaffJobSeeker),
('KY100104617','Crystal','Nichols-Turner',@RoleGroupStaffJobSeeker),
('KY100104486','Dan','Grossman',@RoleGroupStaffJobSeeker),
('KY100095215','Daniel','Post',@RoleGroupStaffJobSeeker),
('KY100085445','Daniel','Hallahan',@RoleGroupStaffJobSeeker),
('KY100070716','David','Kidd',@RoleGroupStaffJobSeeker),
('KY100072859','David','Kuhn',@RoleGroupStaffJobSeeker),
('KY100087481','David','Taylor',@RoleGroupStaffJobSeeker),
('KY100087532','David','Perry',@RoleGroupStaffJobSeeker),
('KY100087480','David','Taylor',@RoleGroupStaffJobSeeker),
('KY100104610','David','Barnett',@RoleGroupStaffJobSeeker),
('KY100104588','Deana','Wilson-Kimbler',@RoleGroupStaffJobSeeker),
('KY100099303','Debbie','Shelton',@RoleGroupStaffJobSeeker),
('KY100045897','Deborah','Draper',@RoleGroupStaffJobSeeker),
('KY100093135','Deborah','Eccles',@RoleGroupStaffJobSeeker),
('KY100101402','Deborah','Reckley',@RoleGroupStaffJobSeeker),
('KY100102451','Debra','Maiden-Hensley',@RoleGroupStaffJobSeeker),
('KY100104527','Dede','Watts',@RoleGroupStaffJobSeeker),
('KY100044439','Dee','Taylor',@RoleGroupStaffJobSeeker),
('KY100099273','Delbert','Hunter',@RoleGroupStaffJobSeeker),
('KY100044512','Dena','Green',@RoleGroupStaffJobSeeker),
('KY100041889','Denise','Glanzer',@RoleGroupStaffJobSeeker),
('KY100091037','Denise','Jones',@RoleGroupStaffJobSeeker),
('KY100044504','Denise','Dials',@RoleGroupStaffJobSeeker),
('KY100050168','Denise','Wietelmann',@RoleGroupStaffJobSeeker),
('KY100075085','Denise','King',@RoleGroupStaffJobSeeker),
('KY100101349','Denise01','Jones',@RoleGroupStaffJobSeeker),
('KY100099334','Desiree','Gill',@RoleGroupStaffJobSeeker),
('KY100075069','Devin','Garland',@RoleGroupStaffJobSeeker),
('KY100087473','Diana','Pruitt',@RoleGroupStaffJobSeeker),
('KY100081374','Dianna','Salyers',@RoleGroupStaffJobSeeker),
('KY100104572','Dianna','Jackson',@RoleGroupStaffJobSeeker),
('KY100045877','Dianne','Hardin',@RoleGroupStaffJobSeeker),
('KY100072883','Don','Haynes',@RoleGroupStaffJobSeeker),
('KY100077225','Donald','Abernathy',@RoleGroupStaffJobSeeker),
('KY100072910','Donald','McGlothlin',@RoleGroupStaffJobSeeker),
('KY100102443','Donald','Walbert',@RoleGroupStaffJobSeeker),
('KY100102444','Donald01','Walbert',@RoleGroupStaffJobSeeker),
('KY100042359','Donna','Bazzell',@RoleGroupStaffJobSeeker),
('KY100085411','Donna','Winkler',@RoleGroupStaffJobSeeker),
('KY100104519','Donna','Burke',@RoleGroupStaffJobSeeker),
('KY100066696','Dorcilla','Johnson',@RoleGroupStaffJobSeeker),
('KY100104559','Dottie','Nolan',@RoleGroupStaffJobSeeker),
('KY100087574','Doug','Miller',@RoleGroupStaffJobSeeker),
('KY100087459','Douglas','Simonson',@RoleGroupStaffJobSeeker),
('KY100104488','Drew','Hockensmith',@RoleGroupStaffJobSeeker),
('KY100075138','Dusty','Lay',@RoleGroupStaffJobSeeker),
('KY100104544','Edgar','Lalata',@RoleGroupStaffJobSeeker),
('KY100104543','Edmund','Furphy',@RoleGroupStaffJobSeeker),
('KY100093139','Edwina','Blevins',@RoleGroupStaffJobSeeker),
('KY100075072','Eileen','Beck',@RoleGroupStaffJobSeeker),
('KY100090983','Elizabeth','Mattingly',@RoleGroupStaffJobSeeker),
('KY100072874','Elizabeth','Lewis',@RoleGroupStaffJobSeeker),
('KY100081473','Elizabeth','White',@RoleGroupStaffJobSeeker),
('KY100099306','Ellen','Bates',@RoleGroupStaffJobSeeker),
('KY100101371','Emela','Halilovic',@RoleGroupStaffJobSeeker),
('KY100099251','Emilee','Bailey',@RoleGroupStaffJobSeeker),
('KY100072913','Emilia','Manuola',@RoleGroupStaffJobSeeker),
('KY100054254','Erica','Lupson',@RoleGroupStaffJobSeeker),
('KY100077223','Erica','Ash',@RoleGroupStaffJobSeeker),
('KY100075153','Erica','Sluder',@RoleGroupStaffJobSeeker),
('KY100101414','Erica','Abalama',@RoleGroupStaffJobSeeker),
('KY100104631','Ericka','Washington',@RoleGroupStaffJobSeeker),
('KY100056504','Erin','Gwin',@RoleGroupStaffJobSeeker),
('KY100104632','Erin','Cokonougher',@RoleGroupStaffJobSeeker),
('KY100104635','Ethan','Linville',@RoleGroupStaffJobSeeker),
('KY100044462','Eugenia','Davis',@RoleGroupStaffJobSeeker),
('KY100104603','Eva','Feese',@RoleGroupStaffJobSeeker),
('KY100075149','Flora','Wattenberger',@RoleGroupStaffJobSeeker),
('KY100099325','Forest','Stamper',@RoleGroupStaffJobSeeker),
('KY100044400','Fran','Grossman',@RoleGroupStaffJobSeeker),
('KY100056547','Fran (Cara)','Cox',@RoleGroupStaffJobSeeker),
('KY100090994','Frank','Collins',@RoleGroupStaffJobSeeker),
('KY100104523','Frank','Tedford',@RoleGroupStaffJobSeeker),
('KY100075147','Freda','Churchill',@RoleGroupStaffJobSeeker),
('KY100104568','Friday','Wilson',@RoleGroupStaffJobSeeker),
('KY100101366','Garnet','Nichols',@RoleGroupStaffJobSeeker),
('KY100085366','Gary','Hardin',@RoleGroupStaffJobSeeker),
('KY100101384','Genia','Matchem',@RoleGroupStaffJobSeeker),
('KY100090705','Gerald','Moore',@RoleGroupStaffJobSeeker),
('KY100081470','Gerald','Fields',@RoleGroupStaffJobSeeker),
('KY100104626','Gerald','Branham',@RoleGroupStaffJobSeeker),
('KY100104633','Geri','Harrison',@RoleGroupStaffJobSeeker),
('KY100101356','Gill','Finley',@RoleGroupStaffJobSeeker),
('KY100060588','Glena','Parnell',@RoleGroupStaffJobSeeker),
('KY100085346','Glenn','Campbell',@RoleGroupStaffJobSeeker),
('KY100101337','Glenn01','Campbell',@RoleGroupStaffJobSeeker),
('KY100042089','Gloria','Prowse',@RoleGroupStaffJobSeeker),
('KY100101383','Gordon','Melton',@RoleGroupStaffJobSeeker),
('KY100091041','Greta','White',@RoleGroupStaffJobSeeker),
('KY100089670','Greta','Jones',@RoleGroupStaffJobSeeker),
('KY100104607','Gwen','Taylor',@RoleGroupStaffJobSeeker),
('KY100099283','Heather','Stevenson',@RoleGroupStaffJobSeeker),
('KY100104611','Heather','Gibson',@RoleGroupStaffJobSeeker),
('KY100101351','Hector01','Cruz',@RoleGroupStaffJobSeeker),
('KY100093174','Helen','Lanier',@RoleGroupStaffJobSeeker),
('KY100056462','Helen','Cade',@RoleGroupStaffJobSeeker),
('KY100042126','Henry','Gross',@RoleGroupStaffJobSeeker),
('KY100101418','Hope','Moore',@RoleGroupStaffJobSeeker),
('KY100060618','Irv','Mattingly',@RoleGroupStaffJobSeeker),
('KY100104605','Jackie','Blackburn',@RoleGroupStaffJobSeeker),
('KY100104615','Jacqueline','Pillay',@RoleGroupStaffJobSeeker),
('KY100044707','James','Skees',@RoleGroupStaffJobSeeker),
('KY100073016','James','Simpson',@RoleGroupStaffJobSeeker),
('KY100099260','James','Richerson',@RoleGroupStaffJobSeeker),
('KY100101385','James','Brinson',@RoleGroupStaffJobSeeker),
('KY100087563','Jamie','Britt',@RoleGroupStaffJobSeeker),
('KY100044440','Jan','Harris',@RoleGroupStaffJobSeeker),
('KY100085387','Jana','Reed',@RoleGroupStaffJobSeeker),
('KY100042002','Jane','Myers',@RoleGroupStaffJobSeeker),
('KY100090988','Janice','Colston',@RoleGroupStaffJobSeeker),
('KY100044489','Jason','Ashbrook',@RoleGroupStaffJobSeeker),
('KY100075093','Jason','Hutchinson',@RoleGroupStaffJobSeeker),
('KY100072873','Jeanne','Scott',@RoleGroupStaffJobSeeker),
('KY100104600','Jeannie','Wilson',@RoleGroupStaffJobSeeker),
('KY100085380','Jeffrey','Townsend',@RoleGroupStaffJobSeeker),
('KY100104478','Jeffrey','Cunningham',@RoleGroupStaffJobSeeker),
('KY100056431','Jemekka','Stray',@RoleGroupStaffJobSeeker),
('KY100104493','Jenna','Bybee',@RoleGroupStaffJobSeeker),
('KY100090692','Jennifer','Harris',@RoleGroupStaffJobSeeker),
('KY100091051','Jennifer','Welch',@RoleGroupStaffJobSeeker),
('KY100048030','Jennifer','Weddington',@RoleGroupStaffJobSeeker),
('KY100093185','Jennifer','Pelfrey',@RoleGroupStaffJobSeeker),
('KY100095212','Jennifer','Hayes',@RoleGroupStaffJobSeeker),
('KY100081350','Jennifer','Hampton',@RoleGroupStaffJobSeeker),
('KY100104623','Jennifer','Shaw',@RoleGroupStaffJobSeeker),
('KY100104499','Jennifer','McIlwain',@RoleGroupStaffJobSeeker),
('KY100098224','Jeremy','Faulkner',@RoleGroupStaffJobSeeker),
('KY100101396','Jeric','Devore',@RoleGroupStaffJobSeeker),
('KY100056525','Jerry','McBrayer',@RoleGroupStaffJobSeeker),
('KY100101348','Jerry01','McBrayer',@RoleGroupStaffJobSeeker),
('KY100104634','Jesse','Moyers',@RoleGroupStaffJobSeeker),
('KY100079237','Jessica','Gleason',@RoleGroupStaffJobSeeker),
('KY100101363','Jessica','Burks',@RoleGroupStaffJobSeeker),
('KY100102435','Jessica','Beaubien',@RoleGroupStaffJobSeeker),
('KY100085448','Jill','Blevins',@RoleGroupStaffJobSeeker),
('KY100101407','Jimmy01','Armstrong',@RoleGroupStaffJobSeeker),
('KY100099314','Jimmy02','Armstrong',@RoleGroupStaffJobSeeker),
('KY100050156','Jo Ann','Nolan',@RoleGroupStaffJobSeeker),
('KY100047970','JoAnna','Collins',@RoleGroupStaffJobSeeker),
('KY100104457','Jodi','Thomas',@RoleGroupStaffJobSeeker),
('KY100072966','Joe','Stephens',@RoleGroupStaffJobSeeker),
('KY100104474','Joel','Osborne',@RoleGroupStaffJobSeeker),
('KY100098227','John','Blair',@RoleGroupStaffJobSeeker),
('KY100104492','John','Hill',@RoleGroupStaffJobSeeker),
('KY100050160','Joletta','Morgan',@RoleGroupStaffJobSeeker),
('KY100089669','Joseph','Paul',@RoleGroupStaffJobSeeker),
('KY100081432','Joshua','Estep',@RoleGroupStaffJobSeeker),
('KY100104558','Joshua','Souder',@RoleGroupStaffJobSeeker),
('KY100070728','Joyce','Wilcox',@RoleGroupStaffJobSeeker),
('KY100081478','Joyce','Wolfe',@RoleGroupStaffJobSeeker),
('KY100104579','Juanita','Ostroske',@RoleGroupStaffJobSeeker),
('KY100090820','Judith','Frame',@RoleGroupStaffJobSeeker),
('KY100099278','Judy','Ramsey',@RoleGroupStaffJobSeeker),
('KY100087489','Julia','Martin',@RoleGroupStaffJobSeeker),
('KY100087488','Julia','Martin',@RoleGroupStaffJobSeeker),
('KY100044455','Julie','Allen',@RoleGroupStaffJobSeeker),
('KY100099293','Julie','Kirsch',@RoleGroupStaffJobSeeker),
('KY100091038','Julie','Marcum',@RoleGroupStaffJobSeeker),
('KY100101361','Julie','Copeland',@RoleGroupStaffJobSeeker),
('KY100102424','Julie','Terrell',@RoleGroupStaffJobSeeker),
('KY100104592','Justin','Sebastian',@RoleGroupStaffJobSeeker),
('KY100041991','Karen','Frakes',@RoleGroupStaffJobSeeker),
('KY100044461','Karen','Corbett-Wallace',@RoleGroupStaffJobSeeker),
('KY100079251','Karen','Vogt',@RoleGroupStaffJobSeeker),
('KY100077227','Karen','Day',@RoleGroupStaffJobSeeker),
('KY100098221','Katherine','Farler',@RoleGroupStaffJobSeeker),
('KY100075057','Kathie','Jones',@RoleGroupStaffJobSeeker),
('KY100090986','Kathleen','Denham',@RoleGroupStaffJobSeeker),
('KY100087558','Kathleen','Parks',@RoleGroupStaffJobSeeker),
('KY100095220','Kathleen','Hughlett',@RoleGroupStaffJobSeeker),
('KY100085374','Kathryn','Reppert-Ensor',@RoleGroupStaffJobSeeker),
('KY100104526','Katie','Allen',@RoleGroupStaffJobSeeker),
('KY100093070','Katrina','Harris-Greene',@RoleGroupStaffJobSeeker),
('KY100087553','Kayla','Jude',@RoleGroupStaffJobSeeker),
('KY100104571','Keith','Jones',@RoleGroupStaffJobSeeker),
('KY100102428','Kelcey','Garnett',@RoleGroupStaffJobSeeker),
('KY100104532','Kelley','Ott',@RoleGroupStaffJobSeeker),
('KY100050058','Kelly','Vance',@RoleGroupStaffJobSeeker),
('KY100104507','Kelly','Covington',@RoleGroupStaffJobSeeker),
('KY100104587','Kelly','Mooney',@RoleGroupStaffJobSeeker),
('KY100093179','Ken','Menefee',@RoleGroupStaffJobSeeker),
('KY100087525','Kendra','Holland',@RoleGroupStaffJobSeeker),
('KY100093082','Keni','Brown',@RoleGroupStaffJobSeeker),
('KY100041925','Kenna','King',@RoleGroupStaffJobSeeker),
('KY100044502','Kenneth01','Wocher',@RoleGroupStaffJobSeeker),
('KY100079300','Kevin','Moore',@RoleGroupStaffJobSeeker),
('KY100041886','Kim','Bailey',@RoleGroupStaffJobSeeker),
('KY100075102','Kim','Shannon',@RoleGroupStaffJobSeeker),
('KY100079315','Kimberley','Montgomery',@RoleGroupStaffJobSeeker),
('KY100041891','Kimberly','Pike',@RoleGroupStaffJobSeeker),
('KY100042077','Kimberly','Buckman',@RoleGroupStaffJobSeeker),
('KY100045941','Kimberly','Duff',@RoleGroupStaffJobSeeker),
('KY100072849','Kimberly','Proffitt',@RoleGroupStaffJobSeeker),
('KY100087586','Kimberly','Carman',@RoleGroupStaffJobSeeker),
('KY100042116','Kristen','Nicholson',@RoleGroupStaffJobSeeker),
('KY100102423','Kristin','Hennig',@RoleGroupStaffJobSeeker),
('KY100087505','Kyle','Ballard2',@RoleGroupStaffJobSeeker),
('KY100093136','Kymber','Lamers',@RoleGroupStaffJobSeeker),
('KY100091000','Laddys','Anderson',@RoleGroupStaffJobSeeker),
('KY100099296','LaQuita','Goodin',@RoleGroupStaffJobSeeker),
('KY100093067','Larry','Lanning',@RoleGroupStaffJobSeeker),
('KY100099281','Larry','Hatfield',@RoleGroupStaffJobSeeker),
('KY100104580','Larry','Wiseman',@RoleGroupStaffJobSeeker),
('KY100044487','Latricia','Swope',@RoleGroupStaffJobSeeker),
('KY100104582','Laura','Hays',@RoleGroupStaffJobSeeker),
('KY100041999','Laveada','Earls',@RoleGroupStaffJobSeeker),
('KY100042080','Leigh','Douglas',@RoleGroupStaffJobSeeker),
('KY100090965','Leila','Abbott',@RoleGroupStaffJobSeeker),
('KY100099267','Leila','Rey',@RoleGroupStaffJobSeeker),
('KY100050094','Leslie','Davis',@RoleGroupStaffJobSeeker),
('KY100099288','Lesslie','Weick',@RoleGroupStaffJobSeeker),
('KY100093169','Linda','Huettner',@RoleGroupStaffJobSeeker),
('KY100072971','Lindsey','Cooley',@RoleGroupStaffJobSeeker),
('KY100091020','Lisa','BackM',@RoleGroupStaffJobSeeker),
('KY100044868','Lisa','Elliott',@RoleGroupStaffJobSeeker),
('KY100072835','Lisa','Meade',@RoleGroupStaffJobSeeker),
('KY100079333','Lisa','Link',@RoleGroupStaffJobSeeker),
('KY100085342','Lisa','Turner',@RoleGroupStaffJobSeeker),
('KY100104557','Lisa','Smith',@RoleGroupStaffJobSeeker),
('KY100102454','Lisa','Bentley',@RoleGroupStaffJobSeeker),
('KY100101373','Liz','Jones',@RoleGroupStaffJobSeeker),
('KY100072929','Lora','Newman',@RoleGroupStaffJobSeeker),
('KY100102450','Lori','Sorrell',@RoleGroupStaffJobSeeker),
('KY100104583','Lorie','Furnish',@RoleGroupStaffJobSeeker),
('KY100079290','Lucas','Carter',@RoleGroupStaffJobSeeker),
('KY100079294','Lynda','Sadler',@RoleGroupStaffJobSeeker),
('KY100073035','Lynette','Sprowls',@RoleGroupStaffJobSeeker),
('KY100056348','Lynn','Johnson',@RoleGroupStaffJobSeeker),
('KY100104516','Lynn','Leacock',@RoleGroupStaffJobSeeker),
('KY100104475','Mae','Shurow',@RoleGroupStaffJobSeeker),
('KY100101377','Marcus','Woods',@RoleGroupStaffJobSeeker),
('KY100104482','Maria','Rech',@RoleGroupStaffJobSeeker),
('KY100041816','Marie','Mahan',@RoleGroupStaffJobSeeker),
('KY100077169','Mark','Dulaney',@RoleGroupStaffJobSeeker),
('KY100087639','Mark','Freudenberg',@RoleGroupStaffJobSeeker),
('KY100104500','Marlo','Halliburton',@RoleGroupStaffJobSeeker),
('KY100093075','Marsha','Williams',@RoleGroupStaffJobSeeker),
('KY100044569','Marsha','Wells',@RoleGroupStaffJobSeeker),
('KY100056349','Marsha','Landin',@RoleGroupStaffJobSeeker),
('KY100054251','Marsha','Baker',@RoleGroupStaffJobSeeker),
('KY100042119','Martha','Wooldridge',@RoleGroupStaffJobSeeker),
('KY100104625','Martha','Williams',@RoleGroupStaffJobSeeker),
('KY100048031','Marti','Gifford',@RoleGroupStaffJobSeeker),
('KY100093182','Marty','Jones',@RoleGroupStaffJobSeeker),
('KY100093076','Mary','Stone',@RoleGroupStaffJobSeeker),
('KY100044486','Mary','Robinson',@RoleGroupStaffJobSeeker),
('KY100060584','Mary','Rogers',@RoleGroupStaffJobSeeker),
('KY100056432','Mary','Deras-Lopez',@RoleGroupStaffJobSeeker),
('KY100072955','Mary','Cline',@RoleGroupStaffJobSeeker),
('KY100066706','Mary','Hall',@RoleGroupStaffJobSeeker),
('KY100093188','Mary','Schrader',@RoleGroupStaffJobSeeker),
('KY100081391','Mary','Seelbach',@RoleGroupStaffJobSeeker),
('KY100099291','Mary','Swinford',@RoleGroupStaffJobSeeker),
('KY100104491','Mary','Jones',@RoleGroupStaffJobSeeker),
('KY100044443','MaryAnne','Medlock',@RoleGroupStaffJobSeeker),
('KY100090701','Matthew','Bartlett',@RoleGroupStaffJobSeeker),
('KY100104606','Matthew01','Bartlett',@RoleGroupStaffJobSeeker),
('KY100093170','Mattie','Morton',@RoleGroupStaffJobSeeker),
('KY100079247','Megan','Hall',@RoleGroupStaffJobSeeker),
('KY100101382','Melinda','Ford',@RoleGroupStaffJobSeeker),
('KY100041841','Melissa','Layman',@RoleGroupStaffJobSeeker),
('KY100090990','Melissa','Patchell',@RoleGroupStaffJobSeeker),
('KY100072771','Melissa','Cline-Douthitt',@RoleGroupStaffJobSeeker),
('KY100087469','Melissa','Thomas',@RoleGroupStaffJobSeeker),
('KY100087569','Melissa','Williams',@RoleGroupStaffJobSeeker),
('KY100087570','Melissa','Williams',@RoleGroupStaffJobSeeker),
('KY100093171','Melissa','Rolph',@RoleGroupStaffJobSeeker),
('KY100087571','Melissa','Williams',@RoleGroupStaffJobSeeker),
('KY100087468','Melissa','Thomas',@RoleGroupStaffJobSeeker),
('KY100101406','Melissa','Roberts',@RoleGroupStaffJobSeeker),
('KY100044732','Michael','Brown',@RoleGroupStaffJobSeeker),
('KY100079314','Michael','Nall',@RoleGroupStaffJobSeeker),
('KY100093109','Michael','Hunter',@RoleGroupStaffJobSeeker),
('KY100101360','Michael','Carter',@RoleGroupStaffJobSeeker),
('KY100104630','Michael','Hiser',@RoleGroupStaffJobSeeker),
('KY100104503','Michele','Whitlock',@RoleGroupStaffJobSeeker),
('KY100044511','Michelle','Sloas',@RoleGroupStaffJobSeeker),
('KY100044544','Michelle','Drake',@RoleGroupStaffJobSeeker),
('KY100041871','Michelle','McIntosh',@RoleGroupStaffJobSeeker),
('KY100044585','Michelle','Feltner',@RoleGroupStaffJobSeeker),
('KY100093099','Michelle','Whitis',@RoleGroupStaffJobSeeker),
('KY100091019','Michelle','Whitt',@RoleGroupStaffJobSeeker),
('KY100042070','Mike','Blankenship',@RoleGroupStaffJobSeeker),
('KY100072948','Miranda','Norsworthy',@RoleGroupStaffJobSeeker),
('KY100075081','Misti','England',@RoleGroupStaffJobSeeker),
('KY100099302','Misty','Moore',@RoleGroupStaffJobSeeker),
('KY100104612','Molly','Deahl',@RoleGroupStaffJobSeeker),
('KY100090995','Mona','Simms',@RoleGroupStaffJobSeeker),
('KY100056402','Mona','Whitaker',@RoleGroupStaffJobSeeker),
('KY100042315','Monica','Collins',@RoleGroupStaffJobSeeker),
('KY100081338','Motriyo','Isles-Warner',@RoleGroupStaffJobSeeker),
('KY100099250','Natasha','Cummings',@RoleGroupStaffJobSeeker),
('KY100090958','Nathan','Church',@RoleGroupStaffJobSeeker),
('KY100102429','Nathan','Henderson',@RoleGroupStaffJobSeeker),
('KY100104577','Nathan','Thompson',@RoleGroupStaffJobSeeker),
('KY100090688','Nellie','Lake',@RoleGroupStaffJobSeeker),
('KY100104515','Nikki','Walker',@RoleGroupStaffJobSeeker),
('KY100044576','Nora','Williams',@RoleGroupStaffJobSeeker),
('KY100079301','Norma','Tallent',@RoleGroupStaffJobSeeker),
('KY100056370','Pam','Wilson',@RoleGroupStaffJobSeeker),
('KY100060583','Pam','McKinney',@RoleGroupStaffJobSeeker),
('KY100052237','Pam','McIntosh',@RoleGroupStaffJobSeeker),
('KY100079283','Pamela','Goodbar',@RoleGroupStaffJobSeeker),
('KY100072868','Pamela','Miller',@RoleGroupStaffJobSeeker),
('KY100081486','Pamela','Tuttle',@RoleGroupStaffJobSeeker),
('KY100087551','Pamela','Patrick',@RoleGroupStaffJobSeeker),
('KY100087552','Pamela','Patrick',@RoleGroupStaffJobSeeker),
('KY100101370','Pamela','Hardin',@RoleGroupStaffJobSeeker),
('KY100070729','Patricia','Dudgeon',@RoleGroupStaffJobSeeker),
('KY100085447','Patricia','Baughman',@RoleGroupStaffJobSeeker),
('KY100102427','Patrick','Peebles',@RoleGroupStaffJobSeeker),
('KY100042215','Paula','Vanhoose',@RoleGroupStaffJobSeeker),
('KY100042244','Paula','Key',@RoleGroupStaffJobSeeker),
('KY100090874','Paula','Oliver',@RoleGroupStaffJobSeeker),
('KY100101359','Paula','Snyder',@RoleGroupStaffJobSeeker),
('KY100104530','Paula','Hamilton',@RoleGroupStaffJobSeeker),
('KY100104604','Paula','Music',@RoleGroupStaffJobSeeker),
('KY100104542','Paula','Brooks',@RoleGroupStaffJobSeeker),
('KY100095213','Pedro','Garriga',@RoleGroupStaffJobSeeker),
('KY100090693','Peggy','Willis',@RoleGroupStaffJobSeeker),
('KY100079239','Peggy','Hall',@RoleGroupStaffJobSeeker),
('KY100095216','Peggy','Crouch',@RoleGroupStaffJobSeeker),
('KY100056409','Phillip','Arnett',@RoleGroupStaffJobSeeker),
('KY100101367','Phillip','Roe',@RoleGroupStaffJobSeeker),
('KY100041984','Phoebe','Arroyo',@RoleGroupStaffJobSeeker),
('KY100042079','Phyllis','Williams',@RoleGroupStaffJobSeeker),
('KY100101394','Phyllis','Wilson',@RoleGroupStaffJobSeeker),
('KY100087636','Rachel','Smith',@RoleGroupStaffJobSeeker),
('KY100087588','Randall','Johnson',@RoleGroupStaffJobSeeker),
('KY100104562','Randall01','Tinsley',@RoleGroupStaffJobSeeker),
('KY100104563','Randall02','Tinsley',@RoleGroupStaffJobSeeker),
('KY100102455','Razetta','Carpenter',@RoleGroupStaffJobSeeker),
('KY100091064','Rebecca','Reynolds',@RoleGroupStaffJobSeeker),
('KY100104595','Regan','Conley',@RoleGroupStaffJobSeeker),
('KY100081369','Regina','Woolbright',@RoleGroupStaffJobSeeker),
('KY100047969','Renea','Houston',@RoleGroupStaffJobSeeker),
('KY100099258','Renee','McCane',@RoleGroupStaffJobSeeker),
('KY100070713','Reva','Kidd',@RoleGroupStaffJobSeeker),
('KY100090714','Richard','Roe',@RoleGroupStaffJobSeeker),
('KY100104479','Richard','Morgan',@RoleGroupStaffJobSeeker),
('KY100102436','Richard','Hamilton',@RoleGroupStaffJobSeeker),
('KY100091006','Rider','Rodriguez',@RoleGroupStaffJobSeeker),
('KY100090996','Rita','Shelton',@RoleGroupStaffJobSeeker),
('KY100093123','Rita','Conner',@RoleGroupStaffJobSeeker),
('KY100099237','Rita','Woods',@RoleGroupStaffJobSeeker),
('KY100072980','Roanna','Kirk',@RoleGroupStaffJobSeeker),
('KY100045902','Robert','Tubesing',@RoleGroupStaffJobSeeker),
('KY100077228','Robert','Shorter',@RoleGroupStaffJobSeeker),
('KY100073012','Robert','Blanton',@RoleGroupStaffJobSeeker),
('KY100075055','Robert','Dalton',@RoleGroupStaffJobSeeker),
('KY100104466','Robert','Ginter',@RoleGroupStaffJobSeeker),
('KY100102440','Robin','Haynes',@RoleGroupStaffJobSeeker),
('KY100104589','Robin','Campbell',@RoleGroupStaffJobSeeker),
('KY100104560','Robin02','Smith',@RoleGroupStaffJobSeeker),
('KY100085402','Roger','Phillips',@RoleGroupStaffJobSeeker),
('KY100072949','Ron','Ketterer',@RoleGroupStaffJobSeeker),
('KY100090997','Ronald','Swope',@RoleGroupStaffJobSeeker),
('KY100104594','Ronald','Kohlrus',@RoleGroupStaffJobSeeker),
('KY100056364','Rudelle','Greene',@RoleGroupStaffJobSeeker),
('KY100087522','Ryan','Gipson',@RoleGroupStaffJobSeeker),
('KY100102422','Samantha','Williams',@RoleGroupStaffJobSeeker),
('KY100104616','Samantha','Palmer',@RoleGroupStaffJobSeeker),
('KY100093131','Samual','Travis',@RoleGroupStaffJobSeeker),
('KY100044579','Sandra','Birkholz',@RoleGroupStaffJobSeeker),
('KY100091023','Sandra','Hawkins',@RoleGroupStaffJobSeeker),
('KY100070719','Sandra','Grimm',@RoleGroupStaffJobSeeker),
('KY100042321','Sandy','Jackson',@RoleGroupStaffJobSeeker),
('KY100070748','Sandy','Hoskins',@RoleGroupStaffJobSeeker),
('KY100093195','Sara','Hawkins',@RoleGroupStaffJobSeeker),
('KY100093094','Sarah','Allen',@RoleGroupStaffJobSeeker),
('KY100072851','Sarah','Watts',@RoleGroupStaffJobSeeker),
('KY100085440','Sarah','Henry',@RoleGroupStaffJobSeeker),
('KY100093167','Scott','Montgomery',@RoleGroupStaffJobSeeker),
('KY100048040','Scott','Caudill',@RoleGroupStaffJobSeeker),
('KY100104614','Seth','Lundeen',@RoleGroupStaffJobSeeker),
('KY100101355','Shana','McCombs',@RoleGroupStaffJobSeeker),
('KY100044419','Shannon','Axton',@RoleGroupStaffJobSeeker),
('KY100044447','Shannon','Carson',@RoleGroupStaffJobSeeker),
('KY100093090','Shannon','Estes',@RoleGroupStaffJobSeeker),
('KY100093168','Sharon','Niece',@RoleGroupStaffJobSeeker),
('KY100087491','Sharon','Jackson',@RoleGroupStaffJobSeeker),
('KY100087490','Sharon','Jackson',@RoleGroupStaffJobSeeker),
('KY100099287','Sharon','Reynolds',@RoleGroupStaffJobSeeker),
('KY100104458','Sharon','Allgeier',@RoleGroupStaffJobSeeker),
('KY100090712','Shawn','Goldsberry',@RoleGroupStaffJobSeeker),
('KY100095207','Shawn','Jones',@RoleGroupStaffJobSeeker),
('KY100087476','Shawn','Taylor',@RoleGroupStaffJobSeeker),
('KY100087477','Shawn','Taylor',@RoleGroupStaffJobSeeker),
('KY100101405','Shawn01','Goldsberry',@RoleGroupStaffJobSeeker),
('KY100102425','Shellie','Clemons',@RoleGroupStaffJobSeeker),
('KY100099327','Shelly','Canada',@RoleGroupStaffJobSeeker),
('KY100104525','Sherman','Bowman',@RoleGroupStaffJobSeeker),
('KY100075124','Sherrie','Sexton',@RoleGroupStaffJobSeeker),
('KY100042086','Sherron','McDyer',@RoleGroupStaffJobSeeker),
('KY100099259','Sherry','Smither',@RoleGroupStaffJobSeeker),
('KY100044574','Shirlene','Taylor',@RoleGroupStaffJobSeeker),
('KY100072919','Shirley','Egger',@RoleGroupStaffJobSeeker),
('KY100066708','Shirley','Morgan',@RoleGroupStaffJobSeeker),
('KY100075108','Sissy','Lewis',@RoleGroupStaffJobSeeker),
('KY100072999','Socorro','Page',@RoleGroupStaffJobSeeker),
('KY100093120','Sonya','Nance',@RoleGroupStaffJobSeeker),
('KY100099245','Stacey','Anderson',@RoleGroupStaffJobSeeker),
('KY100104584','Stacey','King',@RoleGroupStaffJobSeeker),
('KY100073020','Staci','May',@RoleGroupStaffJobSeeker),
('KY100095205','Stefani','Whaley',@RoleGroupStaffJobSeeker),
('KY100066682','Stephanie','Kitchen',@RoleGroupStaffJobSeeker),
('KY100104586','Stephanie','Love',@RoleGroupStaffJobSeeker),
('KY100101417','Stephanie','Bowman',@RoleGroupStaffJobSeeker),
('KY100079334','Stephen','Renauer',@RoleGroupStaffJobSeeker),
('KY100079267','Steve','Wedding',@RoleGroupStaffJobSeeker),
('KY100091024','Steven','Richard',@RoleGroupStaffJobSeeker),
('KY100085375','Steven','Conlee',@RoleGroupStaffJobSeeker),
('KY100093122','Steven','Perry',@RoleGroupStaffJobSeeker),
('KY100101336','Steven01','Richard',@RoleGroupStaffJobSeeker),
('KY100079289','Sue','Kuhnell',@RoleGroupStaffJobSeeker),
('KY100098225','Susan','Onorato',@RoleGroupStaffJobSeeker),
('KY100101369','Susan','Kidwell',@RoleGroupStaffJobSeeker),
('KY100044866','Suzanne','Thornton',@RoleGroupStaffJobSeeker),
('KY100099289','Tammy','Walker',@RoleGroupStaffJobSeeker),
('KY100093079','Tammy','Holloway',@RoleGroupStaffJobSeeker),
('KY100104585','Tammy','Bustle',@RoleGroupStaffJobSeeker),
('KY100104627','Tamra','Wall',@RoleGroupStaffJobSeeker),
('KY100045896','Tana','Dunevant',@RoleGroupStaffJobSeeker),
('KY100093178','Tara','Helms',@RoleGroupStaffJobSeeker),
('KY100104514','Tara','Abbott',@RoleGroupStaffJobSeeker),
('KY100050190','Teresa','Wilburn',@RoleGroupStaffJobSeeker),
('KY100045946','Terry','Chittum',@RoleGroupStaffJobSeeker),
('KY100104596','Thelma','Spencer',@RoleGroupStaffJobSeeker),
('KY100070741','Theresa','Noble',@RoleGroupStaffJobSeeker),
('KY100041823','Thomas','Schweinzger',@RoleGroupStaffJobSeeker),
('KY100093115','Thomas','Heilman',@RoleGroupStaffJobSeeker),
('KY100081466','Thomas','Terry',@RoleGroupStaffJobSeeker),
('KY100099290','Tiffanie','Reeves',@RoleGroupStaffJobSeeker),
('KY100093073','Tiffany','Osborne',@RoleGroupStaffJobSeeker),
('KY100085407','Tiffany','Roberts',@RoleGroupStaffJobSeeker),
('KY100087498','Tim','Killensworth2',@RoleGroupStaffJobSeeker),
('KY100047974','Timothy','Muse',@RoleGroupStaffJobSeeker),
('KY100054319','Timothy','Safley',@RoleGroupStaffJobSeeker),
('KY100085351','Tina','Holt',@RoleGroupStaffJobSeeker),
('KY100104591','Tina','Lee',@RoleGroupStaffJobSeeker),
('KY100066664','TinaL','Holt',@RoleGroupStaffJobSeeker),
('KY100052246','Tom','Sholar',@RoleGroupStaffJobSeeker),
('KY100044495','Tonia','Slone',@RoleGroupStaffJobSeeker),
('KY100044626','Tony','Simning',@RoleGroupStaffJobSeeker),
('KY100090966','Tony','Horn',@RoleGroupStaffJobSeeker),
('KY100044450','Tonya','Meurer',@RoleGroupStaffJobSeeker),
('KY100087493','Tonya','Crum',@RoleGroupStaffJobSeeker),
('KY100087572','Traci','Nolen',@RoleGroupStaffJobSeeker),
('KY100093175','Trina','Wallace',@RoleGroupStaffJobSeeker),
('KY100093126','Trina','Yeary',@RoleGroupStaffJobSeeker),
('KY100101397','Trish','Adams',@RoleGroupStaffJobSeeker),
('KY100104464','Trisha','Vowell',@RoleGroupStaffJobSeeker),
('KY100099328','Troy','Courtney',@RoleGroupStaffJobSeeker),
('KY100101400','Troy','Klaber',@RoleGroupStaffJobSeeker),
('KY100104581','Vaughn','Nebbitt',@RoleGroupStaffJobSeeker),
('KY100042267','Velma','Thompson',@RoleGroupStaffJobSeeker),
('KY100081447','Victor','McKay',@RoleGroupStaffJobSeeker),
('KY100102441','Victor','Jordan',@RoleGroupStaffJobSeeker),
('KY100090708','Virginia','Dever',@RoleGroupStaffJobSeeker),
('KY100087484','Vivian','Travis',@RoleGroupStaffJobSeeker),
('KY100104539','Wanda','Hobbs',@RoleGroupStaffJobSeeker),
('KY100042175','Wayne','Boling',@RoleGroupStaffJobSeeker),
('KY100075042','Wendy','Crain-Lawson',@RoleGroupStaffJobSeeker),
('KY100060609','Wesley','Douglas',@RoleGroupStaffJobSeeker),
('KY100104521','Whitney','Risley',@RoleGroupStaffJobSeeker),
('KY100098218','William','Potts',@RoleGroupStaffJobSeeker),
('KY100104609','William','Luxon',@RoleGroupStaffJobSeeker),
('KY100101343','William01','Potts',@RoleGroupStaffJobSeeker),
('KY100104601','Yurika','Miller',@RoleGroupStaffJobSeeker),
('KY100104574','Yvonne','Hemlick',@RoleGroupStaffJobSeeker),
('KY100101416','Zach','Lusk',@RoleGroupStaffJobSeeker),
('KY100104487','Zachary','Choate',@RoleGroupStaffJobSeeker),
('KY100091053','Zakiyyah','Raymore',@RoleGroupStaffJobSeeker),

('KY100072845','Adela','Mrkulic',@RoleGroupStaffEmployer),
('KY100081355','Aimee','Neal',@RoleGroupStaffEmployer),
('KY100072978','Allison','Brown',@RoleGroupStaffEmployer),
('KY100085338','AmandaM','Hall',@RoleGroupStaffEmployer),
('KY100079252','Amelia','Lozano Toledo',@RoleGroupStaffEmployer),
('KY100060615','Amy','Leach',@RoleGroupStaffEmployer),
('KY100060573','Amy','Glasscock',@RoleGroupStaffEmployer),
('KY100044724','Andrea','Bean',@RoleGroupStaffEmployer),
('KY100075078','Andrea','Poat',@RoleGroupStaffEmployer),
('KY100090992','Andrea','Cunningham',@RoleGroupStaffEmployer),
('KY100079266','Andrew','Tutko',@RoleGroupStaffEmployer),
('KY100072924','Angela','Higgins',@RoleGroupStaffEmployer),
('KY100104470','Angie02','Williams',@RoleGroupStaffEmployer),
('KY100056423','April','Hall',@RoleGroupStaffEmployer),
('KY100042009','Audra','Perkins',@RoleGroupStaffEmployer),
('KY100041892','Barbara','Polston',@RoleGroupStaffEmployer),
('KY100090977','Barbara','Sutton',@RoleGroupStaffEmployer),
('KY100042103','Barry','Moseley',@RoleGroupStaffEmployer),
('KY100044566','Beverly','Grimes',@RoleGroupStaffEmployer),
('KY100089660','Bill','Pianovski',@RoleGroupStaffEmployer),
('KY100041897','Bobby','Phillips',@RoleGroupStaffEmployer),
('KY100070717','Bonnie','Conn',@RoleGroupStaffEmployer),
('KY100081425','Brandon','Brown',@RoleGroupStaffEmployer),
('KY100056491','Brian','Peace',@RoleGroupStaffEmployer),
('KY100085373','Brian','Huffman',@RoleGroupStaffEmployer),
('KY100102431','Brian','Gustafson',@RoleGroupStaffEmployer),
('KY100104468','Brittany','Bowling',@RoleGroupStaffEmployer),
('KY100090960','Bruce','Quire',@RoleGroupStaffEmployer),
('KY100101341','Bruce01','Quire',@RoleGroupStaffEmployer),
('KY100042196','Camile','Duncan',@RoleGroupStaffEmployer),
('KY100050126','Caroline','Nugent',@RoleGroupStaffEmployer),
('KY100101392','Cassie','Bertram',@RoleGroupStaffEmployer),
('KY100085391','Celina','Benites',@RoleGroupStaffEmployer),
('KY100044405','Charles','Bell Jr.',@RoleGroupStaffEmployer),
('KY100085406','Chastity','Justice',@RoleGroupStaffEmployer),
('KY100042356','Chris','Townsend',@RoleGroupStaffEmployer),
('KY100060595','Christopher','Ward',@RoleGroupStaffEmployer),
('KY100075064','Christopher','Robinson',@RoleGroupStaffEmployer),
('KY100073009','Christopher','Turley',@RoleGroupStaffEmployer),
('KY100098228','Connie','Kington',@RoleGroupStaffEmployer),
('KY100079238','Corey','Newdigate',@RoleGroupStaffEmployer),
('KY100060616','Daniel','Ruth',@RoleGroupStaffEmployer),
('KY100070716','David','Kidd',@RoleGroupStaffEmployer),
('KY100045897','Deborah','Draper',@RoleGroupStaffEmployer),
('KY100044439','Dee','Taylor',@RoleGroupStaffEmployer),
('KY100044512','Dena','Green',@RoleGroupStaffEmployer),
('KY100041889','Denise','Glanzer',@RoleGroupStaffEmployer),
('KY100091037','Denise','Jones',@RoleGroupStaffEmployer),
('KY100101349','Denise01','Jones',@RoleGroupStaffEmployer),
('KY100081374','Dianna','Salyers',@RoleGroupStaffEmployer),
('KY100045877','Dianne','Hardin',@RoleGroupStaffEmployer),
('KY100072883','Don','Haynes',@RoleGroupStaffEmployer),
('KY100072910','Donald','McGlothlin',@RoleGroupStaffEmployer),
('KY100042359','Donna','Bazzell',@RoleGroupStaffEmployer),
('KY100085411','Donna','Winkler',@RoleGroupStaffEmployer),
('KY100079297','Doug','Beard',@RoleGroupStaffEmployer),
('KY100072776','E3EKOSUSER','E3EKOSUSER',@RoleGroupStaffEmployer),
('KY100104544','Edgar','Lalata',@RoleGroupStaffEmployer),
('KY100041855','Elizabeth','Thompson',@RoleGroupStaffEmployer),
('KY100090983','Elizabeth','Mattingly',@RoleGroupStaffEmployer),
('KY100081473','Elizabeth','White',@RoleGroupStaffEmployer),
('KY100054254','Erica','Lupson',@RoleGroupStaffEmployer),
('KY100075153','Erica','Sluder',@RoleGroupStaffEmployer),
('KY100042362','Ernest','White',@RoleGroupStaffEmployer),
('KY100041985','Fernando','Arroyo',@RoleGroupStaffEmployer),
('KY100044400','Fran','Grossman',@RoleGroupStaffEmployer),
('KY100044699','Franklin','Garabato',@RoleGroupStaffEmployer),
('KY100104568','Friday','Wilson',@RoleGroupStaffEmployer),
('KY100085366','Gary','Hardin',@RoleGroupStaffEmployer),
('KY100041873','Gerald','Neely Jr.',@RoleGroupStaffEmployer),
('KY100090705','Gerald','Moore',@RoleGroupStaffEmployer),
('KY100060588','Glena','Parnell',@RoleGroupStaffEmployer),
('KY100085346','Glenn','Campbell',@RoleGroupStaffEmployer),
('KY100101337','Glenn01','Campbell',@RoleGroupStaffEmployer),
('KY100042089','Gloria','Prowse',@RoleGroupStaffEmployer),
('KY100072897','Haley','Thorp',@RoleGroupStaffEmployer),
('KY100048006','Hector','Cruz',@RoleGroupStaffEmployer),
('KY100101351','Hector01','Cruz',@RoleGroupStaffEmployer),
('KY100056462','Helen','Cade',@RoleGroupStaffEmployer),
('KY100042126','Henry','Gross',@RoleGroupStaffEmployer),
('KY100047990','Jack','Duff',@RoleGroupStaffEmployer),
('KY100104605','Jackie','Blackburn',@RoleGroupStaffEmployer),
('KY100042305','Jaime','Disney',@RoleGroupStaffEmployer),
('KY100044489','Jason','Ashbrook',@RoleGroupStaffEmployer),
('KY100041838','Jeanie','McCue',@RoleGroupStaffEmployer),
('KY100052204','Jeff','Gatewood',@RoleGroupStaffEmployer),
('KY100085380','Jeffrey','Townsend',@RoleGroupStaffEmployer),
('KY100056431','Jemekka','Stray',@RoleGroupStaffEmployer),
('KY100081350','Jennifer','Hampton',@RoleGroupStaffEmployer),
('KY100085345','Jennifer','Carman',@RoleGroupStaffEmployer),
('KY100044580','Jerisia','Lamons',@RoleGroupStaffEmployer),
('KY100056525','Jerry','McBrayer',@RoleGroupStaffEmployer),
('KY100101348','Jerry01','McBrayer',@RoleGroupStaffEmployer),
('KY100079237','Jessica','Gleason',@RoleGroupStaffEmployer),
('KY100102435','Jessica','Beaubien',@RoleGroupStaffEmployer),
('KY100101407','Jimmy01','Armstrong',@RoleGroupStaffEmployer),
('KY100099314','Jimmy02','Armstrong',@RoleGroupStaffEmployer),
('KY100042042','Jo','Dale',@RoleGroupStaffEmployer),
('KY100072966','Joe','Stephens',@RoleGroupStaffEmployer),
('KY100041880','John','Riley',@RoleGroupStaffEmployer),
('KY100070728','Joyce','Wilcox',@RoleGroupStaffEmployer),
('KY100101361','Julie','Copeland',@RoleGroupStaffEmployer),
('KY100041991','Karen','Frakes',@RoleGroupStaffEmployer),
('KY100050140','Karen','Wheatley',@RoleGroupStaffEmployer),
('KY100079251','Karen','Vogt',@RoleGroupStaffEmployer),
('KY100077227','Karen','Day',@RoleGroupStaffEmployer),
('KY100090986','Kathleen','Denham',@RoleGroupStaffEmployer),
('KY100095220','Kathleen','Hughlett',@RoleGroupStaffEmployer),
('KY100041998','Kathy','Woodward',@RoleGroupStaffEmployer),
('KY100087553','Kayla','Jude',@RoleGroupStaffEmployer),
('KY100050058','Kelly','Vance',@RoleGroupStaffEmployer),
('KY100041925','Kenna','King',@RoleGroupStaffEmployer),
('KY100041825','Kenneth','Wocher',@RoleGroupStaffEmployer),
('KY100044502','Kenneth01','Wocher',@RoleGroupStaffEmployer),
('KY100079315','Kimberley','Montgomery',@RoleGroupStaffEmployer),
('KY100041891','Kimberly','Pike',@RoleGroupStaffEmployer),
('KY100042077','Kimberly','Buckman',@RoleGroupStaffEmployer),
('KY100045941','Kimberly','Duff',@RoleGroupStaffEmployer),
('KY100042116','Kristen','Nicholson',@RoleGroupStaffEmployer),
('KY100087505','Kyle','Ballard2',@RoleGroupStaffEmployer),
('KY100041999','Laveada','Earls',@RoleGroupStaffEmployer),
('KY100045878','Layne','Harms',@RoleGroupStaffEmployer),
('KY100042080','Leigh','Douglas',@RoleGroupStaffEmployer),
('KY100090965','Leila','Abbott',@RoleGroupStaffEmployer),
('KY100044584','Lesa','Neace',@RoleGroupStaffEmployer),
('KY100050139','Leslie','Norris',@RoleGroupStaffEmployer),
('KY100054275','Leslie','Sandusky',@RoleGroupStaffEmployer),
('KY100072971','Lindsey','Cooley',@RoleGroupStaffEmployer),
('KY100042246','Lisa','King',@RoleGroupStaffEmployer),
('KY100042096','Lisa','Brasher',@RoleGroupStaffEmployer),
('KY100044868','Lisa','Elliott',@RoleGroupStaffEmployer),
('KY100072835','Lisa','Meade',@RoleGroupStaffEmployer),
('KY100079333','Lisa','Link',@RoleGroupStaffEmployer),
('KY100085342','Lisa','Turner',@RoleGroupStaffEmployer),
('KY100102454','Lisa','Bentley',@RoleGroupStaffEmployer),
('KY100044565','Lisa Upchurch','Gosser',@RoleGroupStaffEmployer),
('KY100101373','Liz','Jones',@RoleGroupStaffEmployer),
('KY100042111','Loretta','Madden',@RoleGroupStaffEmployer),
('KY100079290','Lucas','Carter',@RoleGroupStaffEmployer),
('KY100079294','Lynda','Sadler',@RoleGroupStaffEmployer),
('KY100073035','Lynette','Sprowls',@RoleGroupStaffEmployer),
('KY100104475','Mae','Shurow',@RoleGroupStaffEmployer),
('KY100045880','Maria','Slone',@RoleGroupStaffEmployer),
('KY100104482','Maria','Rech',@RoleGroupStaffEmployer),
('KY100093075','Marsha','Williams',@RoleGroupStaffEmployer),
('KY100044569','Marsha','Wells',@RoleGroupStaffEmployer),
('KY100054251','Marsha','Baker',@RoleGroupStaffEmployer),
('KY100048031','Marti','Gifford',@RoleGroupStaffEmployer),
('KY100056432','Mary','Deras-Lopez',@RoleGroupStaffEmployer),
('KY100072955','Mary','Cline',@RoleGroupStaffEmployer),
('KY100073001','Mary','Decker',@RoleGroupStaffEmployer),
('KY100099291','Mary','Swinford',@RoleGroupStaffEmployer),
('KY100044443','MaryAnne','Medlock',@RoleGroupStaffEmployer),
('KY100041841','Melissa','Layman',@RoleGroupStaffEmployer),
('KY100087571','Melissa','Williams',@RoleGroupStaffEmployer),
('KY100101406','Melissa','Roberts',@RoleGroupStaffEmployer),
('KY100044572','Melody','Haynes',@RoleGroupStaffEmployer),
('KY100044732','Michael','Brown',@RoleGroupStaffEmployer),
('KY100056446','Michael','Borchers',@RoleGroupStaffEmployer),
('KY100079314','Michael','Nall',@RoleGroupStaffEmployer),
('KY100044511','Michelle','Sloas',@RoleGroupStaffEmployer),
('KY100044544','Michelle','Drake',@RoleGroupStaffEmployer),
('KY100041871','Michelle','McIntosh',@RoleGroupStaffEmployer),
('KY100044585','Michelle','Feltner',@RoleGroupStaffEmployer),
('KY100091019','Michelle','Whitt',@RoleGroupStaffEmployer),
('KY100042070','Mike','Blankenship',@RoleGroupStaffEmployer),
('KY100075081','Misti','England',@RoleGroupStaffEmployer),
('KY100099302','Misty','Moore',@RoleGroupStaffEmployer),
('KY100072828','Mona','Sammons',@RoleGroupStaffEmployer),
('KY100042315','Monica','Collins',@RoleGroupStaffEmployer),
('KY100104515','Nikki','Walker',@RoleGroupStaffEmployer),
('KY100044576','Nora','Williams',@RoleGroupStaffEmployer),
('KY100060583','Pam','McKinney',@RoleGroupStaffEmployer),
('KY100072868','Pamela','Miller',@RoleGroupStaffEmployer),
('KY100042251','Patricia','Morris',@RoleGroupStaffEmployer),
('KY100070729','Patricia','Dudgeon',@RoleGroupStaffEmployer),
('KY100085447','Patricia','Baughman',@RoleGroupStaffEmployer),
('KY100042244','Paula','Key',@RoleGroupStaffEmployer),
('KY100090874','Paula','Oliver',@RoleGroupStaffEmployer),
('KY100104604','Paula','Music',@RoleGroupStaffEmployer),
('KY100044562','Peggy','Edwards',@RoleGroupStaffEmployer),
('KY100056409','Phillip','Arnett',@RoleGroupStaffEmployer),
('KY100041984','Phoebe','Arroyo',@RoleGroupStaffEmployer),
('KY100042079','Phyllis','Williams',@RoleGroupStaffEmployer),
('KY100087588','Randall','Johnson',@RoleGroupStaffEmployer),
('KY100104562','Randall01','Tinsley',@RoleGroupStaffEmployer),
('KY100104563','Randall02','Tinsley',@RoleGroupStaffEmployer),
('KY100102455','Razetta','Carpenter',@RoleGroupStaffEmployer),
('KY100042022','Rebecca','Jones',@RoleGroupStaffEmployer),
('KY100104595','Regan','Conley',@RoleGroupStaffEmployer),
('KY100081369','Regina','Woolbright',@RoleGroupStaffEmployer),
('KY100048049','Rhonda','Quarles',@RoleGroupStaffEmployer),
('KY100072980','Roanna','Kirk',@RoleGroupStaffEmployer),
('KY100045902','Robert','Tubesing',@RoleGroupStaffEmployer),
('KY100077228','Robert','Shorter',@RoleGroupStaffEmployer),
('KY100073012','Robert','Blanton',@RoleGroupStaffEmployer),
('KY100075055','Robert','Dalton',@RoleGroupStaffEmployer),
('KY100042275','Ron','Anderson',@RoleGroupStaffEmployer),
('KY100087510','Ron','Anderson2',@RoleGroupStaffEmployer),
('KY100041906','Ronnie','Mullins',@RoleGroupStaffEmployer),
('KY100042099','Samuel','Isom',@RoleGroupStaffEmployer),
('KY100044579','Sandra','Birkholz',@RoleGroupStaffEmployer),
('KY100070719','Sandra','Grimm',@RoleGroupStaffEmployer),
('KY100093195','Sara','Hawkins',@RoleGroupStaffEmployer),
('KY100093094','Sarah','Allen',@RoleGroupStaffEmployer),
('KY100072851','Sarah','Watts',@RoleGroupStaffEmployer),
('KY100048040','Scott','Caudill',@RoleGroupStaffEmployer),
('KY100042378','Shannon','Bryant',@RoleGroupStaffEmployer),
('KY100044419','Shannon','Axton',@RoleGroupStaffEmployer),
('KY100044447','Shannon','Carson',@RoleGroupStaffEmployer),
('KY100042147','Shari','Miller',@RoleGroupStaffEmployer),
('KY100044506','Sharon','Hall',@RoleGroupStaffEmployer),
('KY100072793','Sharon','Buchanan',@RoleGroupStaffEmployer),
('KY100104458','Sharon','Allgeier',@RoleGroupStaffEmployer),
('KY100090712','Shawn','Goldsberry',@RoleGroupStaffEmployer),
('KY100101405','Shawn01','Goldsberry',@RoleGroupStaffEmployer),
('KY100102425','Shellie','Clemons',@RoleGroupStaffEmployer),
('KY100075124','Sherrie','Sexton',@RoleGroupStaffEmployer),
('KY100042086','Sherron','McDyer',@RoleGroupStaffEmployer),
('KY100044574','Shirlene','Taylor',@RoleGroupStaffEmployer),
('KY100072999','Socorro','Page',@RoleGroupStaffEmployer),
('KY100073020','Staci','May',@RoleGroupStaffEmployer),
('KY100050101','Stacy','Little',@RoleGroupStaffEmployer),
('KY100041893','Steve','Rexroat',@RoleGroupStaffEmployer),
('KY100091024','Steven','Richard',@RoleGroupStaffEmployer),
('KY100101336','Steven01','Richard',@RoleGroupStaffEmployer),
('KY100044866','Suzanne','Thornton',@RoleGroupStaffEmployer),
('KY100044453','Tammy','Hyde',@RoleGroupStaffEmployer),
('KY100093079','Tammy','Holloway',@RoleGroupStaffEmployer),
('KY100045896','Tana','Dunevant',@RoleGroupStaffEmployer),
('KY100060623','Terri','Thomas',@RoleGroupStaffEmployer),
('KY100042242','Theresa','Jones',@RoleGroupStaffEmployer),
('KY100041823','Thomas','Schweinzger',@RoleGroupStaffEmployer),
('KY100093115','Thomas','Heilman',@RoleGroupStaffEmployer),
('KY100081466','Thomas','Terry',@RoleGroupStaffEmployer),
('KY100099290','Tiffanie','Reeves',@RoleGroupStaffEmployer),
('KY100093073','Tiffany','Osborne',@RoleGroupStaffEmployer),
('KY100087498','Tim','Killensworth2',@RoleGroupStaffEmployer),
('KY100052246','Tom','Sholar',@RoleGroupStaffEmployer),
('KY100072834','Valerie','Mace',@RoleGroupStaffEmployer),
('KY100042267','Velma','Thompson',@RoleGroupStaffEmployer),
('KY100042139','Vickie','Weissmann',@RoleGroupStaffEmployer),
('KY100081447','Victor','McKay',@RoleGroupStaffEmployer),
('KY100042175','Wayne','Boling',@RoleGroupStaffEmployer),
('KY100075042','Wendy','Crain-Lawson',@RoleGroupStaffEmployer),
('KY100060609','Wesley','Douglas',@RoleGroupStaffEmployer),
('KY100098218','William','Potts',@RoleGroupStaffEmployer),
('KY100101343','William01','Potts',@RoleGroupStaffEmployer),
('KY100104487','Zachary','Choate',@RoleGroupStaffEmployer);

DECLARE @ExternalId nvarchar(255),
				@FirstName nvarchar(200),
				@LastName nvarchar(200),
				@RoleGroupId int,
				@UserId bigint,
				@RoleApplied varchar(50),
				@ItemId int;

BEGIN TRANSACTION;

BEGIN TRY

	WHILE EXISTS (SELECT * FROM @UsersToProcess WHERE Processed = 0)
	BEGIN

		SELECT TOP 1	@ExternalId = ExternalId,
									@FirstName = FirstName,
									@LastName = LastName,
									@RoleGroupId = RoleGroupId,
									@ItemId = Id
		FROM					@UsersToProcess
		WHERE					Processed = 0
		ORDER BY			RoleGroupId;
		
		SELECT @UserId = NULL;

		SELECT @UserId = u.Id
		FROM dbo.[Data.Application.User] u
		INNER JOIN dbo.[Data.Application.Person] p ON p.Id = u.PersonId
		WHERE u.ExternalId = @ExternalId
		AND p.FirstName = @FirstName
		AND p.LastName = @LastName;
		
		IF @UserId IS NULL
		BEGIN
			UPDATE @UsersToProcess
			SET Processed = 1,
					Success = 0,
					ErrorMessage = 'ExternalId not found or does not match user''s name'
			WHERE Id = @ItemId
		END
		ELSE
		BEGIN
			SELECT @RoleApplied = CASE @RoleGroupId 
																WHEN @RoleGroupStaffJobSeeker THEN 'Staff - Job Seeker'
																WHEN @RoleGroupStaffEmployer THEN 'Staff - Employer'
																WHEN @RoleGroupManager THEN 'Manager'
														END;

			EXEC SetKentuckyUserRoles @UserId = @UserId, @RoleGroup = @RoleApplied;

			UPDATE @UsersToProcess
			SET RoleApplied = @RoleApplied
			WHERE ExternalId = @ExternalId;

			UPDATE @UsersToProcess
			SET Processed = 1,
					Success = 1,
					RoleApplied = @RoleApplied
			WHERE Id = @ItemId

		END
		
	END
	
	IF EXISTS (SELECT * FROM @UsersToProcess WHERE Success = 0)
		RAISERROR ('Process failed', 15, 15);
	ELSE
		COMMIT TRANSACTION;

END TRY

BEGIN CATCH
	SELECT	ExternalId, FirstName, LastName,
					CASE RoleGroupId 
							WHEN @RoleGroupStaffJobSeeker THEN 'Staff - Job Seeker'
							WHEN @RoleGroupStaffEmployer THEN 'Staff - Employer'
							WHEN @RoleGroupManager THEN 'Manager'
					END AS RoleName,
					'FAILED' AS Result,
					ErrorMessage
	FROM @UsersToProcess
	WHERE Success = 0 ORDER BY ExternalId;
	
	ROLLBACK TRANSACTION;
END CATCH

-- Output list of successes
SELECT ExternalId, FirstName, LastName, RoleApplied, 'SUCCESS' AS Result
FROM @UsersToProcess
WHERE Success = 1
GROUP BY ExternalId, FirstName, LastName, RoleApplied
ORDER BY RoleApplied, ExternalId;

-- Delete stored proc when done.
DROP PROCEDURE SetKentuckyUserRoles;
